> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List managed database plans



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /plans/managed_databases
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /plans/managed_databases:
    get:
      tags:
        - Plans
      summary: List managed database plans
      operationId: get-managed-database-plans
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: plan_a1b2c3d4
                        type: managed_database_plans
                        attributes:
                          name: db.clickhouse.dev
                          slug: db-clickhouse-dev
                          engine: clickhouse
                          specs:
                            cpu: '1'
                            memory: 2Gi
                            storage: 5Gi
                            shards: 1
                            replicas: 1
                            iops: null
                          regions:
                            - region: ASH
                              city: Ashburn
                              country: United States
                              site:
                                id: loc_ashburn
                                name: Ashburn
                                slug: ASH
                                facility: DC1
                              pricing:
                                USD:
                                  month: 10
                                  year: 100
                                BRL:
                                  month: 57
                                  year: 570
              schema:
                $ref: '#/components/schemas/managed_database_plans'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.plans.get_managed_database_plans()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Plans.GetManagedDatabasePlans(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ManagedDatabasePlans != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.plans.getManagedDatabasePlans();

              console.log(result);
            }

            run();
components:
  schemas:
    managed_database_plans:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/managed_database_plan_attributes'
    managed_database_plan_attributes:
      type: object
      properties:
        id:
          type: string
          example: plan_a1b2c3d4
        type:
          type: string
          enum:
            - managed_database_plans
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            engine:
              type: string
            specs:
              type: object
              properties:
                cpu:
                  type: string
                memory:
                  type: string
                storage:
                  type: string
                shards:
                  type: integer
                replicas:
                  type: integer
                iops:
                  type: string
                  nullable: true
            regions:
              type: array
              items:
                type: object
                properties:
                  region:
                    type: string
                  city:
                    type: string
                  country:
                    type: string
                  site:
                    type: object
                    properties:
                      id:
                        type: string
                      facility:
                        type: string
                      name:
                        type: string
                      slug:
                        type: string
                  pricing:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        month:
                          type: number
                          nullable: true
                        year:
                          type: number
                          nullable: true
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````